#!/usr/bin/env python
"""
    <one line to give the program's name and a brief idea of what it does.>
    Copyright (C) 2021  Library of Code sp-us, Department of Engineering

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <https://www.gnu.org/licenses/>.
"""

import os

blocks = os.listdir("Nginx/Server Blocks")
old_blocks = os.listdir("/etc/nginx/sites-available")
path = os.path.abspath("Nginx/Server Blocks")

for block in blocks:
  os.symlink("%s/%s" % (path, block), "/etc/nginx/sites-available/%s" % block)

for block in old_blocks:
  os.unlink("/etc/nginx/sites-available/%s" % block)
